# Interface methods for submodule: SurfaceSpatialObjectPoint
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SpatialObjectPointProxy as _SpatialObjectPointProxy


# Interface methods for class: SurfaceSpatialObjectPoint
class SurfaceSpatialObjectPointProxy(_SpatialObjectPointProxy):
	def GetNormalInObjectSpace(self) -> Sequence[float]:
		""""""
		...

	def GetNormalInWorldSpace(self) -> Sequence[float]:
		""""""
		...

	def SetNormalInObjectSpace(self, normal: Sequence[float]) -> None:
		""""""
		...

	def SetNormalInWorldSpace(self, normal: Sequence[float]) -> None:
		""""""
		...

